import React from 'react';
import {
	inject,
	observer
} from "mobx-react";
import {
	WeaTableNew
} from 'comsMobx';
const WeaTable = WeaTableNew.WeaTable;

@inject('hrmStaffCareReminder')
@observer
export default class Table extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			hrmStaffCareReminder
		} = this.props, {
			table,
			tableStaticProps,
		} = hrmStaffCareReminder;

		return (
			<WeaTable ecId={`${this && this.props && this.props.ecId || ''}_WeaTable@aupnk9`} {...tableStaticProps} {...table} />
		)
	}
}